@article{Zbigniew2012,
author = {Matyka, Maciej and Koza, Zbigniew},
year = {2012},
month = {03},
pages = {17-22},
title = {How to Calculate Tortuosity Easily?},
volume = {1453},
journal = {AIP Conference Proceedings},
doi = {10.1063/1.4711147}
}

@article{Sasongko2009,
author = {Sasongko, Nugroho},
year = {2009},
month = {10},
pages = {},
title = {Open Source Computational Fluid Dynamic: Challenges and its Future}
}

@generic{,
   title = {ln11.pdf},
}
@report{Sidi1991,
   abstract = {Sidi, A., Efficient implementation of minimal polynomial and reduced rank extrapolation methods, Journal of Computational and Applied Mathematics 36 (1991) 305-337. The minimal polynomial extrapolation (MPE) and reduced rank extrapolation (RRE) are two very effective techniques that have been used in accelerating the convergence of vector sequences, such as those that are obtained from iterative solution of linear and nonlinear systems of equations. Their definitions involve some linear least-squares problems, and this causes difficulties in their numerical implementation. In this work timewise efficient and numerically stable implementations for MPE and RRE are developed. A computer program written in FORTRAN 77 is also appended and applied to some model problems, among them a hypersonic flow problem involving chemical reactions.},
   author = {Avram Sidi},
   journal = {Journal of Computational and Applied Mathematics},
   keywords = {Keywork Extrapolation,QR factorization,convergence acceleration,fixed-point iterative techniques,least squares,linear and nonlinear systems,minimal polynomial extrapolation,reduced rank extrapola-tion,vector sequences},
   pages = {305},
   title = {Efficient implementation of minimal polynomial and reduced rank extrapolation methods},
   volume = {36},
   year = {1991},
}
@report{Saad1986,
   abstract = {We present an iterative method for solving linear systems, which has the property of minimizing at every step the norm of the residual vector over a Krylov subspace. The algorithm is derived from the Arnoldi process for constructing an /2-orthogonal basis of Krylov subspaces. It can be considered as a generalization of Paige and Saunders' MINRES algorithm and is theoretically equivalent to the Generalized Conjugate Residual (GCR) method and to ORTHODIR. The new algorithm presents several advantages over GCR and ORTHODIR.},
   author = {Youcef Saad and Martin H Schultz},
   issue = {3},
   keywords = {Krylor subspaces,conjugate gradient,descent methods,minimal residual methods AMS(MOS) subject classification 65F,nonsymmetric systems},
   title = {GMRES: A GENERALIZED MINIMAL RESIDUAL ALGORITHM FOR SOLVING NONSYMMETRIC LINEAR SYSTEMS*},
   volume = {7},
   year = {1986},
}
@report{Eisenstat1983,
   author = {Stanley C Eisenstat and Howard C Elman and Martin H Schultz},
   issue = {2},
   journal = {Source: SIAM Journal on Numerical Analysis},
   pages = {345-357},
   title = {Variational Iterative Methods for Nonsymmetric Systems of Linear Equations},
   volume = {20},
   year = {1983},
}
@article{WalkerNi,
   abstract = {This paper concerns an acceleration method for fixed-point iterations that originated in work of D. G. Anderson [J. Assoc. Comput. Mach., 12 (1965), pp. 547-560], which we accordingly call Anderson acceleration here. This method has enjoyed considerable success and wide usage in electronic structure computations, where it is known as Anderson mixing; however, it seems to have been untried or underexploited in many other important applications. Moreover, while other acceleration methods have been extensively studied by the mathematics and numerical analysis communities, this method has received relatively little attention from these communities over the years. A recent paper by H. Fang and Y. Saad [Numer. Linear Algebra Appl., 16 (2009), pp. 197-221] has clarified a remarkable relationship of Anderson acceleration to quasi-Newton (secant updating) methods and extended it to define a broader Anderson family of acceleration methods. In this paper, our goals are to shed additional light on Anderson acceleration and to draw further attention to its usefulness as a general tool. We first show that, on linear problems, Anderson acceleration without truncation is "essentially equivalent" in a certain sense to the generalized minimal residual (GMRES) method. We also show that the Type 1 variant in the Fang-Saad Anderson family is similarly essentially equivalent to the Arnoldi (full orthogonalization) method. We then discuss practical considerations for implementing Anderson acceleration and illustrate its performance through numerical experiments involving a variety of applications.},
   author = {Homer F Walker and Peng Ni},
   doi = {10.1137/10078356X},
   issue = {4},
   keywords = {65F10,Arnoldi (full orthogonalization) method,acceleration methods,alternating least-squares,domain decomposition AMS subject classifications 65H10,expectation-maximization algorithm,fixed-point iterations,generalized minimal residual method,iterative methods,mixture densities,nonnegative matrix factorization},
   pages = {1715-1735},
   title = {Anderson acceleration for fixed-point iterations},
   volume = {49},
   url = {http://www.siam.org/journals/sinum/49-4/78356.html},
   journal= {SIAM Journal of Numerical Analysis},
   year = {2011},
}
@report{Gay1979,
   author = {David M Gay},
   issue = {4},
   journal = {Source: SIAM Journal on Numerical Analysis},
   pages = {623-630},
   title = {Some Convergence Properties of Broyden's Method},
   volume = {16},
   year = {1979},
}
@report{,
   author = {C G Broyden},
   title = {A Class of Methods for Solving Nonlinear Simultaneous Equations},
   url = {https://www.ams.org/journal-terms-of-use},
}
@report{Gragg1976,
   author = {W B Gragg and G W Stewart},
   issue = {6},
   journal = {Source: SIAM Journal on Numerical Analysis},
   pages = {889-903},
   title = {A Stable Variant of the Secant Method for Solving Nonlinear Equations},
   volume = {13},
   year = {1976},
}
@report{,
   abstract = {The numerical solution of nonlinear integral equations involves the iterative so-Iutioon of finite systems of nonlinear algebraic or transcendental equations. Certain corwen-tional techniqucs for treating such systems are reviewed in the context of a particular class of nonlinear equations. A procedure is synthesized to offset some of the disadvantages of these techniques in this context; however, the procedure is not restricted to this pt~rticular class of systems of nonlinear equations.},
   author = {Donald G Anderson},
   title = {Iterative Procedures for Nonlinear Integral Equations},
}
@report{,
   abstract = {A procedure for the simultaneous sohition of a system of not-necessarily-linear equations, t~ generalization of the secanl, method for a single function of one w~ri~fi)le, is given.},
   author = {Philip Wolfe},
   title = {The Secant Method for Simultaneous Equations Nonlinear},
}
@report{,
   abstract = {This paper describes a variant of the generalized secant method for solving simultaneous non-linear equations. The method is of particular value in cases where the evaluation of the residuals for imputed values of the unknowns is tedious, or a good approximation to the solution and the Jacobian at the solution are available. Experiments are described comparing the method with the Newton-Raphson process. It is shown that for suitable problems the method is considerably superior.},
   author = {J G P Barnes},
   title = {An algorithm for solving non-linear equations based on the secant method},
   url = {https://academic.oup.com/comjnl/article/8/1/66/489886},
}
@article{Polak2002,
   abstract = {An ab initio linear combination of atomic orbitals approach to local-density theory, capable of handling complex structural geometries, is presented. It incorporates a self-consistent treatment of interatomic charge transfer, which allows an accurate calculation of total energies. The method is applied to study a variety of possible 1&(1 and reconstructed 2)& 1 models of the diamond (111)sur-face. Among the many models suggested, only the Pandey m-bonded chain model has a lower energy than that of the 1& 1 surface. A minimum-energy structure is obtained for this model after extensive consideration of relaxations. No dimerization of the surface chain is found to occur.},
   author = {David Vanderbilt and Steven G. Louie},
   issue = {10},
   pages = {6118-6130},
   title = {Physical review b, volume 30},
   volume = {30},
   year = {1984},
}
@report{Eyert1996,
   abstract = {(nonlinear) self-consistency equations are formulated in terms of the electronic charge density and after discretiza-We discuss several methods for accelerating the convergence of the iterative solution of nonlinear equation systems commonly in tion they are solved by iteration (for a more detailed de-use and point to interrelations between them. In particular we inves-scription see Ref. [9] and references therein). tigate two of the most sophisticated schemes, namely the Anderson Usually each of these iterations itself needs a lot of CPU mixing and the Broyden update, both generalized to the consider-time and thus reducing their number by accelerating the ation of arbitrarily many previous iterations. For the Broyden convergence would save computer resources or else allow method we give a new derivation which is much simpler than that for larger systems to be investigated [10]. As concerns recently proposed by Vanderbilt and Louie. We show that if the additional parameters invented by these authors in order to increase these general demands, we believe electronic structure cal-flexibility are used to optimize the convergence of the iteration culations are no exception. process they in fact cancel out. In addition we prove that in this In order to get a better feeling of which method would (optimal) case the Anderson mixing and the Broyden update as be best suited to the context just outlined we started the applied to the inverse Jacobian are fully identical. Thus we come present analysis of convergence acceleration schemes. to the conclusion that neither of these schemes is superior. Moreover , we show that Broyden update of the inverse Jacobian is supe-Here we concentrated especially on quasi-Newton-rior to updating the Jacobian itself. Finally we propose an extension Raphson schemes and generalized secant methods. When of the Anderson mixing which avoids the numerical difficulties all applying the former class to nonlinear equation systems these methods are faced with. we are led to Broyden's rank-1 update [1, 3, 6, 11-15] and a recent generalization of this scheme which was initiated by Vanderbilt and Louie and improved the quality of the},
   author = {V Eyert},
   journal = {JOURNAL OF COMPUTATIONAL PHYSICS},
   pages = {271-285},
   title = {A Comparative Study on Methods for Convergence Acceleration of Iterative Vector Sequences},
   volume = {124},
   year = {1996},
}
@article{Fang2009,
   abstract = {Many applications in science and engineering lead to models that require solving large-scale fixed point problems, or equivalently, systems of nonlinear equations. Several successful techniques for handling such problems are based on quasi-Newton methods that implicitly update the approximate Jacobian or inverse Jacobian to satisfy a certain secant condition. We present two classes of multisecant methods which allow to take into account a variable number of secant equations at each iteration. The first is the Broyden-like class, of which Broyden's family is a subclass, and Anderson mixing is a particular member. The second class is that of the nonlinear Eirola-Nevanlinna-type methods. This work was motivated by a problem in electronic structure calculations, whereby a fixed point iteration, known as the self-consistent field (SCF) iteration, is accelerated by various strategies termed 'mixing'. © 2008 John Wiley & Sons, Ltd.},
   author = {Haw Ren Fang and Yousef Saad},
   doi = {10.1002/nla.617},
   issn = {10705325},
   issue = {3},
   journal = {Numerical Linear Algebra with Applications},
   keywords = {Anderson mixing,Broyden's methods,Fixed point problems,Quasi-Newton methods,Self-consistent field (SCF) iteration},
   month = {3},
   pages = {197-221},
   title = {Two classes of multisecant methods for nonlinear acceleration},
   volume = {16},
   year = {2009},
}
@article{Sidi1986,
   abstract = {A general approach to the construction of convergence acceleration methods for vector sequences is proposed. Using this approach, one can generate some known methods, such as the minimal polynomial extrapolation, the reduced rank extrapolation, and the topological epsilon algorithm, and also some new ones. Some of the new methods are easier to implement than the known methods and are observed to have similar numerical properties. The convergence analysis of these new methods is carried out, and it is shown that they are especially suitable for accelerating the convergence of vector sequences that are obtained when one solves linear systems of equations iteratively. A stability analysis is also given, and numerical examples are provided. The convergence and stabililty properties of the topological epsilon algorithm are likewise given.},
   author = {Avram Sidi and William F. Ford and David A. Smith},
   doi = {10.1137/0723013},
   issn = {00361429},
   issue = {1},
   journal = {SIAM Journal on Numerical Analysis},
   pages = {178-196},
   title = {ACCELERATION OF CONVERGENCE OF VECTOR SEQUENCES.},
   volume = {23},
   year = {1986},
}
@report{,
   abstract = {We show that almost all vector extrapolation methods possess the property of quasilinearity (that is, translativity and homogeneity). We give a necessary and sufficient condition for the property of translativity. This condition is applied to some vector extrapolation methods, in particular the H-algorithm, the E-algorithm, and certain polynomial extrapolation methods. An application of this condition to convergence acceleration is also given and applied to Henrici's transformation and to the vector generalization of the E-algorithm given by Wimp.},
   author = {Hassane Sadok},
   title = {Quasilinear Vector Extrapolation Methods},
}
@article{Benazzouz1997,
   abstract = {We give a new characterization of quasilinear sequence transformations; we prove that any quasilinear transformation can be represented by its kernel. This approach is new and allows one to give a general result of convergence acceleration and tools for the construction of new quasilinear transformations.},
   author = {A Benazzouz},
   journal = {Numerical Algorithms},
   keywords = {convergence acceleration processes AMS subject classification: 65F10,kernel,quasilinear sequence,transformations},
   pages = {275-285},
   title = {Quasilinear sequence transformations},
   volume = {15},
   year = {1997},
}
@report{Cabay1976,
   author = {S Cabay and L W Jackson},
   issue = {5},
   journal = {Source: SIAM Journal on Numerical Analysis},
   pages = {734-752},
   title = {A Polynomial Extrapolation Method for Finding Limits and Antilimits of Vector Sequences},
   volume = {13},
   year = {1976},
}
@article{Gekeler1972,
   abstract = {The c-algorithm has been proposed by Wynn on a number of occasions as a convergence acceleration device for vector sequences; however, little is known concerning its effect upon systems of equations. In this paper, we prove that the algorithm applied to the Picard sequence x,+i = F(xO of an analytic function F: R" 3 D-» Rn provides a quadratically convergent iterative method; furthermore, no differentiation of F is needed. Some examples illustrate the numerical performance of this method and show that convergence can be obtained even when F is not contractive near the fixed point. A modification of the method is discussed and illustrated.},
   author = {E Gekeler},
   journal = {MATHEMATICS Of COMPUTATION},
   title = {On the Solution of Systems of Equations by the Epsilon Algorithm of Wynn},
   volume = {26},
   url = {https://www.ams.org/journal-terms-of-use},
   year = {1972},
}
@article{,
   title = {These_Brezinski.Claude_1971},
}
@report{Shafer1974,
   author = {R E Shafer},
   issue = {2},
   journal = {Source: SIAM Journal on Numerical Analysis},
   note = {does not appear immediately relevant, perhaps was used as reference material on quadratic processes in general},
   pages = {447-460},
   title = {On Quadratic Approximation},
   volume = {11},
   year = {1974},
}
@article{Brezinski1975,
   abstract = {Zusammenfassung Numerical Stability of a Quadratic Method for Solving Systems of Non Linear Equations. In this paper the numerical stability of a recent method to solve systems of nonlinear equations is studied. This method, based on the e-algorithm, has a quadratic convergence without calculating any derivatives and under quite benevolent conditions. The numerical stability of this algorithm is studied using the theory of the A-stability for the propagation of round-off errors in the numerical integration of differential equations. Numerische Stabilit/it einer quadratisch konvergenten Methode zur LiJsung yon Systemen nicht-linearer Gleichungen. In diesem Artikel wird die numerische Stabilitfit einer neuen Methode zur L6sung von Systemen nicht-linearer Gleichungen studiert. Diese Methode, sie basiert auf dem ~-Algorithmus, ist unter schwachen Voraussetzungen und ohne Verwendung von Ableitungen quadratisch konvergent. Die Stabilitfit dieses Algorithmus wird unter Verwendung der Theorie der A-Stabilit~it beztiglich der Fortpflanzung yon Rundungsfehlern bei der numerischen Integration yon Differentialgleichungen studiert. The aim of this paper is to investigate from a theoretical and a practical point of vue, the numerical stability of a recent method for solving systems of non linear equations. This method is based on the vector e-algorithm of P. Wynn [9]. Its convergence has a quadratic character without calculating any derivative. The numerical stability of this algorithm (i. e. the propagation of round-off errors) is studied using the well-known theory of A-stability for the integration of systems of differential equations. The theory can be applied to any other iterative process.},
   author = {C Brezinski},
   journal = {Computing},
   pages = {205-211},
   publisher = {Springer-Verlag},
   title = {Numerical Stability of a Quadratic Method for Solving Systems of Non Linear Equations},
   volume = {14},
   year = {1975},
}
@article{Sidi1988,
   abstract = {It is shown that the four vector extrapolation methods, minimal polynomial extrapolation, reduced rank extrapolation, modified minimal polynomial extrapolation, and topological epsilon algorithm, when applied to linearly generated vector sequences, are Krylov subspace methods, and are equivalent to some well known conjugate gradient type methods. A unified recursive method that includes the conjugate gradient, conjugate residual, and generalized conjugate gradient methods is developed. Finally, the error analyses for these methods are unified, and some known and some new error bounds for them are given. © 1988.},
   author = {Avram Sidi},
   doi = {10.1016/0377-0427(88)90289-0},
   issn = {03770427},
   issue = {1},
   journal = {Journal of Computational and Applied Mathematics},
   keywords = {Chebyshev acceleration,Iterative methods,Krylov subspace methods,conjugate gradient type methods,extrapolation,projection,vector sequences},
   pages = {71-88},
   title = {Extrapolation vs. projection methods for linear systems of equations},
   volume = {22},
   year = {1988},
}

@article{Gander2006,
   abstract = {We analyze the convergence of the overlapping Schwarz waveform relaxation algorithm applied to convection-dominated nonlinear conservation laws in one spatial dimension. For two subdomains and bounded time intervals we prove superlinear asymptotic convergence of the algorithm in the parabolic case and convergence in a finite number of steps in the hyperbolic limit. The convergence results depend on the overlap, the viscosity, and the length of the time interval under consideration, but they are independent of the number of subdomains, as a generalization of the results to many subdomains shows. To investigate the behavior of the algorithm for a long time, we apply it to the Burgers equation and use a steady state argument to prove that the algorithm converges linearly over long time intervals. This result reveals an interesting paradox: while for the superlinear convergence rate on bounded time intervals decreasing the viscosity improves the performance, in the linear convergence regime decreasing the viscosity slows down the convergence rate and the algorithm can converge arbitrarily slowly, if there is a standing shock wave in the overlap. We illustrate our theoretical results with numerical experiments. © 2005 Society for Industrial and Applied Mathematics.},
   author = {Martin J. Gander and Christian Rohde},
   doi = {10.1137/030601090},
   issn = {10648275},
   issue = {2},
   journal = {SIAM Journal on Scientific Computing},
   keywords = {Domain decomposition,Nonlinear conservation laws,Schwarz methods,Waveform relaxation},
   pages = {415-439},
   title = {Overlapping Schwarz waveform relaxation for convection-dominated nonlinear conservation laws},
   volume = {27},
   year = {2006},
}
@report{,
   abstract = {The Schwarz Alternating Method can be used to solve elliptic boundary value problems on domains which consist of two or more overlapping subdomains. The solution is approximated by an innnite sequence of functions which results from solving a sequence of elliptic boundary value problems in each of the subdomains. This paper considers several Schwarz Alternating Methods for nonlinear elliptic problems. We show that Schwarz Alternating Methods can be imbedded in the framework of common techniques such as Banach and Schauder xed point methods and Global Inversion methods used to solve these nonlinear problems.},
   author = {S H Lui},
   keywords = {65J15,Schwarz alternating method AMS subject classiications 65N55,domain decomposition,nonlinear elliptic PDE},
   title = {ON SCHWARZ ALTERNATING METHODS FOR NONLINEAR ELLIPTIC PDES},
}
@report{M2an2001,
   abstract = {The Schwarz alternating method can be used to solve elliptic boundary value problems on domains which consist of two or more overlapping subdomains. The solution is approximated by an infinite sequence of functions which results from solving a sequence of elliptic boundary value problems in each of the subdomains. In this paper, proofs of convergence of some Schwarz alternating methods for nonlinear elliptic problems which are known to have solutions by the monotone method (also known as the method of subsolutions and supersolutions) are given. In particular, an additive Schwarz method for scalar as well as some coupled nonlinear PDEs are shown to converge for finitely many subdomains. These results are applicable to several models in population biology. Mathematics Subject Classification. 65N55, 65J15.},
   author = {Esaim : M2an and Shiu-Hong Lui},
   issue = {1},
   journal = {Modélisation Mathématique et Analyse Numérique},
   pages = {1-15},
   title = {Mathematical Modelling and Numerical Analysis ON MONOTONE AND SCHWARZ ALTERNATING METHODS FOR NONLINEAR ELLIPTIC PDES *},
   volume = {35},
   year = {2001},
}
@report{Lui2000,
   abstract = {The Schwarz alternating method can be used to solve elliptic boundary value problems on domains which consist of two or more overlapping subdomains. The solution is approximated by an infinite sequence of functions which results from solving a sequence of elliptic boundary value problems in each of the subdomains. This paper considers several Schwarz alternating methods for nonlinear elliptic problems. We show that Schwarz alternating methods can be embedded in the framework of common techniques such as Banach and Schauder fixed point methods and global inversion methods used to solve these nonlinear problems. 1. Introduction. The Schwarz alternating method was devised by H. A. Schwarz more than 100 years ago to solve linear boundary value problems. It has garnered interest recently because of its potential as an efficient algorithm for parallel computers. See the fundamental work of Lions in [11] and [12]. The literature on this method for the linear boundary value problem is huge; see the recent reviews of Chan and Mathew [6] and Le Tallec [19] and the book of Smith, Bjorstad, and Gropp [14]. The literature for nonlinear problems is rather sparse. Besides Lions's works, see also Cai and Dryja [3], Tai [15], Xu [20], Dryja and Hackbusch [7], Tai and Espedal [16], Tai and Xu [18], Tai and Tseng [17], and references therein. The effectiveness of Schwarz methods for nonlinear problems has been demonstrated in many papers. See the proceedings of the annual domain decomposition conferences beginning with [10]. We mention in particular the Newton-Krylov-Schwarz framework adopted in [4] and [5]. In this paper, we prove the convergence of the Schwarz sequence for some nonlinear elliptic PDEs. We do not attempt to define the largest possible class of problems or give the weakest condition under which the Schwarz alternating method converges. The main aim is rather to illustrate that this remarkable method works for a wide variety of nonlinear elliptic PDEs. This paper is mostly concerned with multiplicative nonlinear Schwarz methods for two subdomains and they are discussed in the next section. In this class of methods, a nonlinear problem is solved in the first subdomain followed by a nonlinear problem in the second subdomain. This is repeated until convergence to a desired accuracy has been reached. We shall consider three types of nonlinear elliptic PDEs corresponding to three theories used to show existence of solutions to these PDEs. The three theories are the Banach fixed point theory, the Schauder fixed point theory, and the theory of global inversion. They are among the most well-known tools in nonlinear analysis. Nonlinear PDEs are difficult to handle because of the infinite variety of nonlinearities},
   author = {S H Lui and Siam J Sci Comput},
   issue = {4},
   journal = {Society for Industrial and Applied Mathematics},
   keywords = {65J15,Schwarz alternating method AMS subject classifications 65N55,domain decomposition,nonlinear elliptic PDE},
   pages = {1506-1523},
   title = {ON SCHWARZ ALTERNATING METHODS FOR NONLINEAR ELLIPTIC PDES *},
   volume = {21},
   url = {http://www.siam.org/journals/ojsa.php},
   year = {2000},
}
@article{Lui2003,
   abstract = {The Schwarz Alternating Method can be used to solve elliptic boundary value problems on domains which consist of two or more overlapping subdomains. The solution is approximated by an infinite sequence of functions which results from solving a sequence of elliptic boundary value problems in each of the subdomains. In this paper, proofs of convergence of some Schwarz Alternating Methods for nonlinear parabolic problems which are known to have solutions by the monotone method (also known as the method of subsolutions and supersolutions) are given. In particular, an additive Schwarz method for scalar as well some coupled nonlinear PDEs are shown to converge to the solution on finitely many subdomains. In the coupled system case, each subdomain PDE is linear, decoupled and can be solved concurrently with other subdomain PDEs. These results are applicable to several models in population biology. The convergence behavior is illustrated by two numerical examples. © 2003 Elsevier B.V. All rights reserved.},
   author = {S. H. Lui},
   doi = {10.1016/j.cam.2003.06.001},
   issn = {03770427},
   issue = {2},
   journal = {Journal of Computational and Applied Mathematics},
   keywords = {Domain decomposition,Monotone methods,Nonlinear parabolic PDE,Schwarz alternating method,Subsolution,Supersolution},
   month = {12},
   pages = {449-468},
   publisher = {Elsevier},
   title = {On monotone iteration and Schwarz methods for nonlinear parabolic PDEs},
   volume = {161},
   year = {2003},
}
@article{Lui2014,
   abstract = {The Schwarz Alternating Method can be used to solve elliptic boundary value problems on domains which consist of two or more overlapping subdomains. The solution is approximated by an innnite sequence of functions which results from solving a sequence of elliptic boundary value problems in each of the subdomains. In this paper, proofs of convergence of some Schwarz Alternating Methods for nonlinear elliptic problems which are known to have solutions by the monotone method (also known as the method of subsolutions and supersolutions) are given. In particular, an additive Schwarz method for scalar as well some coupled nonlinear PDEs are shown to converge to some solution on nitely many subdomains, even when multiple solutions are possible. In the coupled system case, each subdomain PDE is linear, decoupled and can be solved concurrently with other subdomain PDEs. These results are applicable to several models in population biology.},
   author = {Shaun Lui and S H Lui},
   doi = {10.1007/s002110100349},
   keywords = {65J15,Schwarz alternating method,domain decomposition,mono-tone methods,nonlinear elliptic PDE,subsolution,supersolution AMS subject classiications 65N55},
   title = {On linear monotone iteration and Schwarz methods for nonlinear elliptic PDES},
   url = {https://www.researchgate.net/publication/227304435},
   year = {2014},
}
@report{,
   author = {Shiu Hong Lui},
   journal = {Contemporary Mathematics},
   title = {On Schwarz Alternating Methods for Nonlinear Elliptic Problems},
   volume = {218},
   year = {1998},
}
@article{Moro2015,
   abstract = {Novel basis functions are proposed for enforcing continuity constraints in 3-D elliptic problems discretized by non-conforming domain decomposition methods. The major advantage over standard coupling methods is that the projection matrix, mapping degrees of freedom from master to slave surface, can be constructed with minimum computing effort since the slave matrix is diagonal. The accuracy of matching conditions and convergence properties of the method are tested on a benchmark problem.},
   author = {Federico Moro and Massimo Guarnieri},
   doi = {10.1109/TMAG.2014.2352034},
   issn = {00189464},
   issue = {3},
   journal = {IEEE Transactions on Magnetics},
   keywords = {Domain decomposition (DD),finite element method (FEM),finite integration technique (FIT),mortar method,parallel computing},
   month = {3},
   note = {Direct example of use of PANG},
   publisher = {Institute of Electrical and Electronics Engineers Inc.},
   title = {Efficient 3-D domain decomposition with dual basis functions},
   volume = {51},
   year = {2015},
}
@article{Ciarlet2017,
   abstract = {We analyze matching and non-matching domain decomposition methods for the numerical approximation of the mixed diffusion equations. Special attention is paid to the case where the solution is of low regularity. Such a situation commonly arises in the presence of three or more intersecting material components with different characteristics. The domain decomposition method can be non-matching in the sense that the traces of the finite element spaces may not fit at the interface between subdomains. We prove well-posedness of the discrete problem, that is solvability of the corresponding linear system, provided two algebraic conditions are fulfilled. If moreover the conditions hold independently of the discretization, convergence is ensured.},
   author = {P. Ciarlet and E. Jamelot and F.D. Kpadonou},
   doi = {10.1016/J.CAMWA.2017.07.017},
   issn = {0898-1221},
   issue = {10},
   journal = {Computers & Mathematics with Applications},
   month = {11},
   note = {Direct example of use of PANG},
   pages = {2369-2384},
   publisher = {Pergamon},
   title = {Domain decomposition methods for the diffusion equation with low-regularity solution},
   volume = {74},
   url = {https://www.sciencedirect.com/science/article/pii/S0898122117304340},
   year = {2017},
}
@article{Lui1999,
   author = {S Lui},
   doi = {10.1137/S1064827597327553},
   issue = {4},
   journal = {SIAM Journal on Scientific Computing},
   pages = {1506-1523},
   title = {On Schwarz Alternating Methods for Nonlinear Elliptic PDEs},
   volume = {21},
   url = {https://doi.org/10.1137/S1064827597327553},
   year = {1999},
}
@inproceedings{Gander2017,
   abstract = {The idea of preconditioning iterative methods for the solution of linear systems goes back to Jacobi (Astron Nachr 22(20):297-306, 1845), who used rotations to obtain a system with more diagonal dominance, before he applied what is now called Jacobis method. The preconditioning of linear systems for their solution by Krylov methods has become a major field of research over the past decades, and there are two main approaches for constructing preconditioners: either one has very good intuition and can propose directly a preconditioner which leads to a favorable spectrum of the preconditioned system, or one uses the splitting matrix of an effective stationary iterative method like multigrid or domain decomposition as the preconditioner. Much less is known about the preconditioning of non-linear systems of equations. The standard iterative solver in that case is Newton’s method (1671) or a variant thereof, but what would it mean to precondition the non-linear problem? An important contribution in this field is ASPIN (Additive Schwarz Preconditioned Inexact Newton) by Cai and Keyes (SIAM J Sci Comput 24(1):183-200, 2002), where the authors use their intuition about domain decomposition methods to propose a transformation of the non-linear equations before solving them by an inexact Newton method. Using the relation between stationary iterative methods and preconditioning for linear systems, we show in this presentation how one can systematically obtain a non-linear preconditioner from classical fixed point iterations, and present as an example a new two level non-linear preconditioner called RASPEN (Restricted Additive Schwarz Preconditioned Exact Newton) with substantially improved convergence properties compared to ASPIN.},
   author = {Martin J. Gander},
   doi = {10.1007/978-3-319-52389-7_14},
   isbn = {9783319523880},
   issn = {14397358},
   journal = {Lecture Notes in Computational Science and Engineering},
   pages = {153-161},
   publisher = {Springer Verlag},
   title = {On the origins of linear and non-linear preconditioning},
   volume = {116},
   url = {https://link.springer.com/chapter/10.1007/978-3-319-52389-7_14},
   year = {2017},
}
@article{Dolean2016,
   abstract = {For linear problems, domain decomposition methods can be used directly as iterative solvers but also as preconditioners for Krylov methods. In practice, Krylov acceleration is almost always used, since the Krylov method finds a much better residual polynomial than the stationary iteration and thus converges much faster. We show in this paper that also for nonlinear problems, domain decomposition methods can be used either directly as iterative solvers or as preconditioners for Newton's method. For the concrete case of the parallel Schwarz method, we show that we obtain a preconditioner we call RASPEN (restricted additive Schwarz preconditioned exact Newton), which is similar to ASPIN (additive Schwarz preconditioned inexact Newton) but with all components directly defined by the iterative method. This has the advantage that RASPEN already converges when used as an iterative solver, in contrast to ASPIN, and we thus get a substantially better preconditioner for Newton's method. The iterative construction also allows us to naturally define a coarse correction using the multigrid full approximation scheme, which leads to a convergent two-level nonlinear iterative domain decomposition method and a two level RASPEN nonlinear preconditioner. We illustrate our findings with numerical results on the Forchheimer equation and a nonlinear diffusion problem.},
   author = {V Dolean and M J Gander and W Kheriji and F Kwok ¶ and R Masson},
   doi = {10.1137/15M102887X},
   issue = {6},
   journal = {SIAM J. SCI. COMPUT},
   keywords = {65F10,65N22,nonlinear preconditioning,preconditioning Newton's method AMS subject classifications 65M55,two-level nonlinear Schwarz methods},
   pages = {3357-3380},
   title = {NONLINEAR PRECONDITIONING: HOW TO USE A NONLINEAR SCHWARZ METHOD TO PRECONDITION NEWTON'S METHOD *},
   volume = {38},
   url = {http://www.siam.org/journals/sisc/38-6/M102887.html},
}
@report{Cai2002,
   abstract = {Inexact Newton algorithms are commonly used for solving large sparse nonlinear system of equations F (u *) = 0 arising, for example, from the discretization of partial differential equations. Even with global strategies such as linesearch or trust region, the methods often stagnate at local minima of F , especially for problems with unbalanced nonlinearities, because the methods do not have built-in machinery to deal with the unbalanced nonlinearities. To find the same solution u * , one may want to solve instead an equivalent nonlinearly preconditioned system F (u *) = 0 whose nonlinearities are more balanced. In this paper, we propose and study a nonlinear additive Schwarz-based parallel nonlinear preconditioner and show numerically that the new method converges well even for some difficult problems, such as high Reynolds number flows, where a traditional inexact Newton method fails. Key words. nonlinear preconditioning, inexact Newton methods, Krylov subspace methods, nonlinear additive Schwarz, domain decomposition, nonlinear equations, parallel computing, incom-pressible flows AMS subject classifications. 65F10, 65H10, 65H20, 65N06, 65N12, 65N22, 65N55, 65Y05, 76D05 PII. S106482750037620X 1. Introduction. Many computational engineering problems require the numerical solution of large sparse nonlinear system of equations, i.e., for a given nonlinear function F : R n → R n , compute a vector u * ∈ R n such that},
   author = {Xiao-chuan Cai and David E Keyes and Siam J Sci Comput},
   issue = {1},
   journal = {Society for Industrial and Applied Mathematics},
   pages = {183-200},
   title = {NONLINEARLY PRECONDITIONED INEXACT NEWTON ALGORITHMS *},
   volume = {24},
   url = {http://www.siam.org/journals/sisc/24-1/37620.html},
   year = {2002},
}

%--Intro Num. Anal. texts--%

@misc{suli2003introduction,
  title={An introduction to numerical analysis. 2003},
  author={S{\"u}li, E and Mayers, DF},
  publisher={Cambridge university press}
}

%--Spectral Collocation--%

@article{Baltensperger,
issn = "1064-8275",
abstract = "Spectral collocation methods have become very useful in providing highly accurate solutions to differential equations. A straightforward implementation of these methods involves the use of spectral differentiation matrices. To obtain optimal accuracy these matrices must be computed carefully. We demonstrate that naive algorithms for computing these matrices suffer from severe loss of accuracy due to roundoff errors. Several improvements are analyzed and compared. A number of numerical examples are provided, demonstrating significant differences between the sensitivity of the forward problem and the inverse problem.",
   journal = {SIAM J Sci Comput},
pages = "1465--1487",
volume = "24",
publisher = "Society for Industrial and Applied Mathematics",
number = "5",
year = "2003",
title = "Spectral Differencing with a Twist",
language = "eng",
author = "Baltensperger, Richard and Trummer, Manfred R.",
keywords = "65d25 ; 65g50 ; 65m70 ; 65n35 ; 65f35 ; Spectral Collocation ; Spectral Differentiation ; Roundoff Errors ; Chebyshev ; Fourier And Legendre Points",
}

@article{Cen,
issn = "0020-7160",
abstract = "In this paper, we discuss the parameter-uniform finite difference method for a coupled system of singularly perturbed convectionâ€“diffusion equations. The leading term of each equation is multiplied by a small but different magnitude positive parameter, which leads to the overlap and interact boundary layer. We analyze the boundary layer and construct a piecewise-uniform mesh on the variant of the Shishkin mesh. We prove that our schemes converge almost first-order uniformly with respect to small parameters. We present some numerical experiments to support our theoretical analysis.",
journal = "International Journal of Computer Mathematics",
pages = "177--192",
volume = "82",
publisher = "Taylor & Francis",
number = "2",
year = "2005",
title = "Parameter-uniform finite difference scheme for a system of coupled singularly perturbed convectionâ€“diffusion equations",
author = "Cen, Zhongdi",
keywords = "Convectionâ€“Diffusion ; Singular Perturbation ; Solution Decomposition ; Shishkin Mesh ; Upwind Difference Scheme",
month = "February",
}

@article{Chen,
issn = "02549409",
abstract = "A novel collocation method for a coupled system of singularly perturbed linear equations is presented. This method is based on rational spectral collocation method in barycentric form with sinh transform. By sinh transform, the original Chebyshev points are mapped into the transformed ones clustered near the singular points of the solution. The results from asymptotic analysis about the singularity solution are employed to determine the parameters in this sinh transform. Numerical experiments are carried out to demonstrate the high accuracy and efficiency of our method.",
journal = "Journal of Computational Mathematics",
pages = "458--473",
volume = "29",
publisher = "Chinese Academy of Mathematices and System Sciences (AMSS) Chinese Academy of Sciences",
number = "4",
year = "2011",
title = "RATIONAL SPECTRAL COLLOCATION METHOD FOR A COUPLED SYSTEM OF SINGULARLY PERTURBED BOUNDARY VALUE PROBLEMS",
language = "eng",
author = "Chen, Suqin and Wang, Yingwei and Wu, Xionghua",
keywords = "Applied Sciences ; Mathematics;",
month = "July",
}

@article{Driscoll,
issn = "0272-4979",
abstract = "Boundary conditions in spectral collocation methods are typically imposed by removing some rows of the discretized differential operator and replacing them with others that enforce the required conditions at the boundary. A new approach based upon resampling differentiated polynomials into a lower-degree subspace makes differentiation matrices, and operators built from them, rectangular without any row deletions. Then, boundary and interface conditions can be adjoined to yield a square system. The resulting method is both flexible and robust, and avoids ambiguities that arise when applying the classical row deletion method outside of two-point scalar boundary-value problems. The new method is the basis for ordinary differential equation solutions in Chebfun software, and is demonstrated for a variety of boundary-value, eigenvalue and time-dependent problems.",
journal = "IMA Journal of Numerical Analysis",
pages = "108--132",
volume = "36",
publisher = "Oxford University Press",
number = "1",
year = "2016",
title = "Rectangular spectral collocation",
author = "Driscoll, Tobin A. and Hale, Nicholas",
keywords = "Spectral Method ; Collocation ; Boundary Conditions ; Chebyshev",
month = "January",
}

@article{Tang,
issn = "1064-8275",
abstract = "Pseudospectral methods are investigated for singularly perturbed boundary value problems for ordinary differential equations (ODEs) which possess boundary layers. It is well known that if the boundary layer is very small then a very large number of spectral collocation points is required to obtain accurate solutions. We introduce here a new effective procedure based on coordinate stretching and the Chebyshev pseudospectral method to resolve the boundary layers. Stable and accurate results are obtained for very thin boundary layers with a fairly small number of spectral collocation points.",
   journal = {SIAM J Sci Comput},
pages = "430--438",
volume = "17",
publisher = "Society for Industrial and Applied Mathematics",
number = "2",
year = "1996",
title = "Boundary Layer Resolving Pseudospectral Methods for Singular Perturbation Problems",
language = "eng",
author = "Tang, Tao and Trummer, Manfred R.",
keywords = "65n35 ; Spectral Methods ; Singular Perturbation ; Boundary Layer",
month = "March",
}

@article{Tee,
issn = {1064-8275},
abstract = {A spectral collocation method based on rational interpolants and adaptive grid points is presented. The rational interpolants approximate analytic functions with exponential accuracy by using prescribed barycentric weights and transformed Chebyshev points. The locations of the grid points are adapted to singularities of the underlying solution, and the locations of these singularities are approximated by the locations of poles of ChebyshevPad approximants. Numerical experiments on two timedependent problems, one with finite time blowup and one with a moving front, indicate that the method far outperforms the standard Chebyshev spectral collocation method for problems whose solutions have singularities in the complex plane close to $[-1,1]$.},
   journal = {SIAM J Sci Comput},
pages = {1798--1811},
volume = {28},
publisher = {Society for Industrial and Applied Mathematics},
number = {5},
year = {2006},
title = {A Rational Spectral Collocation Method with Adaptively Transformed {C}hebyshev Grid Points},
language = {eng},
author = {Tee, T. W. and Trefethen, Lloyd N.},
keywords = {65m70 ; 65m50 ; 41a20 ; 41a21 ; Rational Spectral Collocation Method ; Adaptive Grid Points ; Barycentric Interpolation Formula ; Complex Singularities ; Chebyshevpad Approximation ; Blowup Problem ; The Burgers Equation},
}

@article{BaltenspergerBerrut,
issn = {0377-0427},
abstract = {We introduce the collocation method based on linear rational interpolation for solving general hyperbolic problems, prove its stability and its convergence in weighted norms and give numerical examples for its use.},
journal = {Journal of Computational and Applied Mathematics},
pages = {243--258},
volume = {134},
publisher = {Elsevier B.V.},
number = {1},
year = {2001},
title = {The linear rational collocation method},
language = {eng},
author = {Baltensperger, Richard and Berrut, Jean-Paul},
keywords = {Linear Rational Interpolation ; Time Evolution Partial Differential Equations ; Spectral Method ; Conformal Point Shifts},
}

@article{Schneider,
issn = {0025-5718},
abstract = {A new algorithm for rational interpolation based on the barycentric formula is developed; the barycentric representation of the rational interpolation function possesses various advantages in comparison with other representations such as continued fractions: it provides, e.g., information concerning the existence and location of poles of the interpolant.},
journal = {Mathematics of Computation},
pages = {285--299},
volume = {47},
number = {175},
year = {1986},
title = {Some new aspects of rational interpolation},
language = {eng},
author = {Claus Schneider and Wilhelm Werner},
keywords = {Mathematics;},
url = {http://www.ams.org/jourcgi/jour-getitem?pii=S0025-5718-1986-0842136-8},
}

%--Barycentric interpolation--%

@article{Higham,
issn = {1464-3642},
abstract = {The Lagrange representation of the interpolating polynomial can be rewritten in two more computationally attractive forms: a modified Lagrange form and a barycentric form. We give an error analysis of the evaluation of the interpolating polynomial using these two forms. The modified Lagrange formula is shown to be backward stable. The barycentric formula has a less favourable error analysis, but is forward stable for any set of interpolating points with a small Lebesgue constant. Therefore the barycentric formula can be significantly less accurate than the modified Lagrange formula only for a poor choice of interpolating points. This analysis provides further weight to the argument of Berrut and Trefethen that barycentric Lagrange interpolation should be the polynomial interpolation method of choice.},
journal = {IMA Journal of Numerical Analysis},
pages = {547--556},
volume = {24},
publisher = {Oxford University Press},
number = {4},
year = {2004},
title = {The numerical stability of barycentric {L}agrange interpolation},
author = {Higham, Nicholas J.},
keywords = {Polynomial Interpolation; Lagrange Interpolation; Barycentric Formula; Rounding Error Analysis; Backward Error; Forward Error; Lebesgue Constant},
month = {October},
}

@article{Berrut,
issn = {0036-1445},
abstract = {Barycentric interpolation is a variant of Lagrange polynomial interpolation that is fast and stable. It deserves to be known as the standard method of polynomial interpolation.},
journal = {SIAM Review},
pages = {501--517},
volume = {46},
publisher = {Society for Industrial and Applied Mathematics},
number = {3},
year = {2004},
title = {Barycentric {L}agrange Interpolation},
language = {eng},
author = {Berrut, Jean-Paul and Trefethen, Lloyd N.},
keywords = {65d05 ; 65d25 ; Barycentric Formula ; Interpolation},
}

%--Continuous Newton Method--%

% 50s

@inproceedings{davidenko1953new,
  title={On a new method of numerical solution of systems of nonlinear equations},
  author={Davidenko, DF},
  booktitle={Dokl. Akad. Nauk SSSR},
  volume={88},
  number={4},
  pages={601--602},
  year={1953}
}

@article{Gavurin1958,
  title={Nonlinear functional equations and continuous analogues of iteration methods},
  author={Gavurin, Mark Konstantinovich},
  journal={Izvestiya Vysshikh Uchebnykh Zavedenii. Matematika},
  number={5},
  pages={18--31},
  year={1958},
  publisher={Kazan (Volga region) Federal University}
}

% 60s
  
@article{Polyak1964,
  title={Some methods of speeding up the convergence of iteration methods},
  author={Polyak, Boris T},
  journal={USSR Computational Mathematics and Mathematical Physics},
  volume={4},
  number={5},
  pages={1--17},
  year={1964},
  publisher={No longer published by Elsevier}
}

% think about removing this one
@article{kizner1964numerical,
  title={A numerical method for finding solutions of nonlinear equations},
  author={Kizner, William},
  journal={Journal of the Society for Industrial and Applied Mathematics},
  volume={12},
  number={2},
  pages={424--428},
  year={1964},
  publisher={SIAM}
}

% citation only, article not found
@inproceedings{davidenko1965application,
  title={An application of the method of variation of parameters to the construction of iterative formulas of increased accuracy for numerical solutions of nonlinear equations},
  author={Davidenko, DF},
  booktitle={Dokl. Akad. Nauk SSSR},
  volume={162},
  pages={702--706},
  year={1965}
}

@article{deist1967solution,
  title={Solution of systems of non-linear equations by parameter variation},
  author={Deist, FH and Sefor, L},
  journal={The Computer Journal},
  volume={10},
  number={1},
  pages={78--82},
  year={1967},
  publisher={Oxford University Press}
}

% this one might have my "new" idea in it
@article{galanov1968realization,
  title={Realization of a variation of the relaxation method},
  author={Galanov, BA and Malakhovskaya, SN},
  journal={Ukrainian Mathematical Journal},
  volume={20},
  number={5},
  pages={503--508},
  year={1968},
  publisher={Springer}
}

@article{broyden1969new,
  title={A new method of solving nonlinear simultaneous equations},
  author={Broyden, CG},
  journal={The Computer Journal},
  volume={12},
  number={1},
  pages={94--99},
  year={1969},
  publisher={The British Computer Society}
}

% 70s

@book{ortega1970iterative,
  title={Iterative solution of nonlinear equations in several variables},
  author={Ortega, James M and Rheinboldt, Werner C},
  volume={30},
  year={1970},
  publisher={Siam}
}

@article{boggs1971solution,
  title={The solution of nonlinear systems of equations by A-stable integration techniques},
  author={Boggs, Paul T},
  journal={SIAM Journal on Numerical Analysis},
  volume={8},
  number={4},
  pages={767--785},
  year={1971},
  publisher={SIAM}
}

@article{branin1972widely,
  title={Widely convergent method for finding multiple solutions of simultaneous nonlinear equations},
  author={Branin, Franklin H},
  journal={IBM Journal of Research and Development},
  volume={16},
  number={5},
  pages={504--522},
  year={1972},
  publisher={IBM}
}

@article{brent1972davidenko,
  title={On the {D}avidenko-{B}ranin method for solving simultaneous nonlinear equations},
  author={Brent, RP},
  journal={IBM Journal of Research and Development},
  volume={16},
  number={4},
  pages={434--436},
  year={1972},
  publisher={IBM}
}


@article{Ponomarev1973,
  title={Continuous analog of {N}ewton's method as applied to the calculation of the binding energy of mesic molecules},
  author={Ponomarev, LI and Puzynin, IV and Puzynina, TP},
  journal={Journal of Computational Physics},
  volume={13},
  number={1},
  pages={1--14},
  year={1973},
  publisher={Elsevier}
}

@article{abbott1975fast,
  title={Fast local convergence with single and multistep methods for nonlinear equations},
  author={Abbott, James P and Brent, Richard P},
  journal={The ANZIAM Journal},
  volume={19},
  number={2},
  pages={173--199},
  year={1975},
  publisher={Cambridge University Press}
}

% unavailable
@incollection{kellogg1977method,
  title={A method of continuation for calculating a Brouwer fixed point},
  author={Kellogg, RB and Li, TY and Yorke, J},
  booktitle={Fixed Points},
  pages={133--147},
  year={1977},
  publisher={Elsevier}
}

@article{botsaris1978differential,
  title={Differential gradient methods},
  author={Botsaris, Charalampos A},
  journal={Journal of Mathematical Analysis and Applications},
  volume={63},
  number={1},
  pages={177--198},
  year={1978},
  publisher={Academic Press}
}

@article{chow1978finding,
  title={Finding zeroes of maps: homotopy methods that are constructive with probability one},
  author={Chow, Shui Nee and Mallet-Paret, John and Yorke, James A},
  journal={Mathematics of Computation},
  volume={32},
  number={143},
  pages={887--899},
  year={1978}
}

% 80s

@incollection{saupe1988discrete,
  title={Discrete versus continuous {N}ewton’s method: a case study},
  author={Saupe, Dietmar},
  booktitle={Newton’s Method and Dynamical Systems},
  pages={59--80},
  year={1988},
  publisher={Springer}
}

@incollection{peitgen1989global,
  title={Global aspects of the continuous and discrete {N}ewton method: A case study},
  author={Peitgen, H-O and Pr{\"u}fer, M and Schmitt, K},
  booktitle={{N}ewton’s Method and Dynamical Systems},
  pages={123--202},
  year={1989},
  publisher={Springer}
}

% 90s

@book{kramer1990timestepping,
  title={Timestepping for solving nonlinear equations},
  author={Kramer, ME and Mattheij, Robert MM and others},
  year={1990},
  publisher={Technische Universiteit Eindhoven. Department of Mathematics and Computing Science}
}

@article{qi1993nonsmooth,
  title={A nonsmooth version of {N}ewton's method},
  author={Qi, Liqun and Sun, Jie},
  journal={Mathematical programming},
  volume={58},
  number={1-3},
  pages={353--367},
  year={1993},
  publisher={Springer}
}

@article{saint1995newton,
  title={{N}ewton and other continuation methods for multivalued inclusions},
  author={Saint-Pierre, Patrick},
  journal={Set-Valued Analysis},
  volume={3},
  number={2},
  pages={143--156},
  year={1995},
  publisher={Springer}
}

% not sure if path following is what I'm doing
@article{allgower1997numerical,
  title={Numerical path following},
  author={Allgower, Eugene L and Georg, Kurt},
  journal={Handbook of numerical analysis},
  volume={5},
  pages={3--207},
  year={1997},
  publisher={Elsevier}
}

@article{neuberger1999continuous,
  title={Continuous {N}ewton’s method for polynomials},
  author={Neuberger, John W},
  journal={The Mathematical Intelligencer},
  volume={21},
  number={3},
  pages={18--23},
  year={1999},
  publisher={Springer}
}

% 2000s

@incollection{airapetyan2000dynamical,
  title={Dynamical systems and discrete methods for solving nonlinear ill-posed problems},
  author={Airapetyan, Ruben G and Ramm, Alexander G},
  booktitle={Applied Mathematics Reviews: (Volume 1)},
  pages={491--536},
  year={2000},
  publisher={World Scientific}
}

@article{castro2001inverse,
  title={An inverse function theorem via continuous {N}ewton’s method},
  author={Castro, Alfonso and Neuberger, JW},
  year={2001}
}

@article{hauser2005continuous,
  title={The Continuous {N}ewton--{R}aphson Method Can Look Ahead},
  author={Hauser, Raphael and Nedic, Jelena},
  journal={SIAM Journal on Optimization},
  volume={15},
  number={3},
  pages={915--925},
  year={2005},
  publisher={SIAM}
}

@article{neuberger2007continuous,
  title={The Continuous {N}ewton's Method, Inverse Functions, and {N}ash-{M}oser},
  author={Neuberger, JW},
  journal={The American Mathematical Monthly},
  volume={114},
  number={5},
  pages={432--437},
  year={2007},
  publisher={Taylor \& Francis}
}

@article{nair2008regularized,
  title={Regularized versions of continuous Newton's method and continuous modified {N}ewton's method under general source conditions},
  author={Nair, MT and Ravishankar, P},
  journal={Numerical Functional Analysis and Optimization},
  volume={29},
  number={9-10},
  pages={1140--1165},
  year={2008},
  publisher={Taylor \& Francis}
}

@article{noroozi2009finite,
  title={Finite-Time Stable Versions of the Continuous {N}ewton Method and Applications to Neural Networks},
  author={Noroozi, Navid and Karimaghaee, Paknosh and Safavi, Ali Akbar and Bhaya, Amit},
  journal={IFAC Proceedings Volumes},
  volume={42},
  number={19},
  pages={231--236},
  year={2009},
  publisher={Elsevier}
}

% 2010s

@inproceedings{zhao2012interior,
  title={An interior point method based on continuous {N}ewton's method for optimal power flow},
  author={Zhao, Xiaohui and Yang, Yude and Wei, Hua},
  booktitle={Innovative Smart Grid Technologies-Asia (ISGT Asia), 2012 IEEE},
  pages={1--6},
  year={2012},
  organization={IEEE}
}

@article{gutierrez2015numerical,
  title={Numerical properties of different root-finding algorithms obtained for approximating continuous {N}ewton’s method},
  author={Guti{\'e}rrez, Jos{\'e} M},
  journal={Algorithms},
  volume={8},
  number={4},
  pages={1210--1218},
  year={2015},
  publisher={Multidisciplinary Digital Publishing Institute}
}

% -- Alternating {S}chwarz --%

@article{lui1999schwarz,
author = {Lui, S.},
title = {On {S}chwarz Alternating Methods for Nonlinear Elliptic {PDE}s},
   journal = {SIAM J Sci Comput},
volume = {21},
number = {4},
pages = {1506-1523},
year = {1999},
doi = {10.1137/S1064827597327553},
URL = {https://doi.org/10.1137/S1064827597327553},
eprint = {https://doi.org/10.1137/S1064827597327553}
}

% -- Pi Day -- %

@article{bailey2012empirical,
  title={An Empirical Approach to the Normality of $\pi$},
  author={Bailey, David H and Borwein, Jonathan M and Calude, Cristian S and Dinneen, Michael J and Dumitrescu, Monica and Yee, Alex},
  journal={Experimental Mathematics},
  volume={21},
  number={4},
  pages={375--384},
  year={2012},
  publisher={Taylor \& Francis}
}

@article{artacho2012walking,
  title={Walking on real numbers},
  author={Artacho, Francisco J Arag{\'o}n and Bailey, David H and Borwein, Jonathan M and Borwein, Peter B},
  year={2012}
}

@article{borel1909probabilites,
  title={Les probabilit{\'e}s d{\'e}nombrables et leurs applications arithm{\'e}tiques},
  author={{\'E}mile Borel, M},
  journal={Rendiconti del Circolo Matematico di Palermo (1884-1940)},
  volume={27},
  number={1},
  pages={247--271},
  year={1909},
  publisher={Springer}
}

@article{sierpinski1917demonstration,
  title={D{\'e}monstration {\'e}l{\'e}mentaire du th{\'e}or{\`e}me de M. Borel sur les nombres absolument normaux et d{\'e}termination effective d'une tel nombre},
  author={Sierpinski, Waclaw},
  journal={Bulletin de la Soci{\'e}t{\'e} Math{\'e}matique de France},
  volume={45},
  pages={125--132},
  year={1917}
}

@article{becher2002example,
  title={An example of a computable absolutely normal number},
  author={Becher, Ver{\'o}nica and Figueira, Santiago},
  journal={Theoretical Computer Science},
  volume={270},
  number={1-2},
  pages={947--958},
  year={2002},
  publisher={Elsevier}
}


%---Triangle Intersections---%

@article{gander2013algorithm,
  title={Algorithm 932: {PANG}: software for nonmatching grid projections in 2{D} and 3{D} with linear complexity},
  author={Gander, Martin J and Japhet, Caroline},
  journal={ACM Transactions on Mathematical Software (TOMS)},
  volume={40},
  number={1},
  pages={6},
  year={2013},
  publisher={ACM}
}

@article{sutherland1974reentrant,
  title={Reentrant polygon clipping},
  author={Sutherland, Ivan E and Hodgman, Gary W},
  journal={Communications of the ACM},
  volume={17},
  number={1},
  pages={32--42},
  year={1974},
  publisher={ACM}
}

@article{greiner1998efficient,
  title={Efficient clipping of arbitrary polygons},
  author={Greiner, G{\"u}nther and Hormann, Kai},
  journal={ACM Transactions on Graphics (TOG)},
  volume={17},
  number={2},
  pages={71--83},
  year={1998},
  publisher={ACM}
}

@article{cyrus1978generalized,
  title={Generalized two-and three-dimensional clipping},
  author={Cyrus, Mike and Beck, Jay},
  journal={Computers \& Graphics},
  volume={3},
  number={1},
  pages={23--28},
  year={1978},
  publisher={Elsevier}
}

@article{liang1984new,
 author = {Liang, You-Dong and Barsky, B. A.},
 title = {A New Concept and Method for Line Clipping},
 journal = {ACM Trans. Graph.},
 issue_date = {Jan. 1984},
 volume = {3},
 number = {1},
 month = jan,
 year = {1984},
 issn = {0730-0301},
 pages = {1--22},
 numpages = {22},
 url = {http://doi.acm.org/10.1145/357332.357333},
 doi = {10.1145/357332.357333},
 acmid = {357333},
 publisher = {ACM},
 address = {New York, NY, USA},
}

@book{newman1979principles,
  title={Principles of interactive computer graphics},
  author={Newman, William M and Sproull, Robert F},
  year={1979},
  publisher={McGraw-Hill, Inc.}
}

@inproceedings{weiler1977hidden,
  title={Hidden surface removal using polygon area sorting},
  author={Weiler, Kevin and Atherton, Peter},
  booktitle={ACM SIGGRAPH computer graphics},
  volume={11},
  issue={2},
  pages={214--222},
  year={1977},
  organization={ACM}
}

@article{skala1993efficient,
  title={An efficient algorithm for line clipping by convex polygon},
  author={Skala, V{\'a}clav},
  journal={Computers \& Graphics},
  volume={17},
  number={4},
  pages={417--421},
  year={1993},
  publisher={Elsevier}
}

@article{rappoport1991efficient,
  title={An efficient algorithm for line and polygon clipping},
  author={Rappoport, Ari},
  journal={The Visual Computer},
  volume={7},
  number={1},
  pages={19--28},
  year={1991},
  publisher={Springer}
}

@inproceedings{mount1997geometric,
  title={Geometric intersection},
  author={Mount, David M},
  booktitle={Handbook of Discrete and Computational Geometry, chapter 33},
  year={1997},
  organization={Citeseer}
}

@article{farrell2009conservative,
  title={Conservative interpolation between unstructured meshes via supermesh construction},
  author={Farrell, PE and Piggott, MD and Pain, CC and Gorman, GJ and Wilson, CR},
  journal={Computer methods in applied mechanics and engineering},
  volume={198},
  number={33-36},
  pages={2632--2642},
  year={2009},
  publisher={Elsevier}
}

@article{dickopf2014evaluating,
  title={Evaluating local approximations of the L 2-orthogonal projection between non-nested finite element spaces},
  author={Dickopf, Thomas and Krause, Rolf},
  journal={Numerical Mathematics: Theory, Methods and Applications},
  volume={7},
  number={3},
  pages={288--316},
  year={2014},
  publisher={Cambridge University Press}
}

@incollection{gander2009algorithm,
  title={An algorithm for non-matching grid projections with linear complexity},
  author={Gander, Martin J. and Japhet, Caroline},
  booktitle={Domain decomposition methods in science and engineering XVIII},
  pages={185--192},
  year={2009},
  publisher={Springer}
}

@phdthesis{farrell2009galerkin,
  title={Galerkin projection of discrete fields via supermesh construction},
  author={Farrell, Patrick E.},
  year={2009},
  school={Imperial College London}
}

@article{Moro2015,
annote = {Direct example of use of PANG},
author = {Moro, Federico and Guarnieri, Massimo},
doi = {10.1109/TMAG.2014.2352034},
file = {:home/mccoid/.local/share/data/Mendeley Ltd./Mendeley Desktop/Downloaded/Moro, Guarnieri - 2015 - Efficient 3-D domain decomposition with dual basis functions.pdf:pdf},
issn = {00189464},
journal = {IEEE Transactions on Magnetics},
keywords = {Domain decomposition (DD),finite element method (FEM),finite integration technique (FIT),mortar method,parallel computing},
mendeley-groups = {Non-matching Grids,Non-matching Grids/Cites PANG},
month = {mar},
number = {3},
publisher = {Institute of Electrical and Electronics Engineers Inc.},
title = {{Efficient 3-D domain decomposition with dual basis functions}},
volume = {51},
year = {2015}
}
@article{Ciarlet2017,
annote = {Direct example of use of PANG},
author = {Ciarlet, P. and Jamelot, E. and Kpadonou, F.D.},
doi = {10.1016/J.CAMWA.2017.07.017},
file = {:home/mccoid/.local/share/data/Mendeley Ltd./Mendeley Desktop/Downloaded/Ciarlet, Jamelot, Kpadonou - 2017 - Domain decomposition methods for the diffusion equation with low-regularity solution.pdf:pdf},
issn = {0898-1221},
journal = {Computers {\&} Mathematics with Applications},
mendeley-groups = {Non-matching Grids,Non-matching Grids/Cites PANG},
month = {nov},
number = {10},
pages = {2369--2384},
publisher = {Pergamon},
title = {{Domain decomposition methods for the diffusion equation with low-regularity solution}},
url = {https://www.sciencedirect.com/science/article/pii/S0898122117304340},
volume = {74},
year = {2017}
}
@article{Coniglio2019,
annote = {Direct use of PANG},
author = {Coniglio, Simone and Gogu, Christian and Morlier, Joseph},
doi = {10.1007/s11831-018-9285-0},
file = {:home/mccoid/.local/share/data/Mendeley Ltd./Mendeley Desktop/Downloaded/Coniglio, Gogu, Morlier - 2019 - Weighted Average Continuity Approach and Moment Correction New Strategies for Non-consistent Mesh Proje.pdf:pdf},
issn = {18861784},
journal = {Archives of Computational Methods in Engineering},
mendeley-groups = {Non-matching Grids,Non-matching Grids/Cites PANG},
month = {nov},
number = {5},
pages = {1415--1443},
publisher = {Springer Netherlands},
title = {{Weighted Average Continuity Approach and Moment Correction: New Strategies for Non-consistent Mesh Projection in Structural Mechanics}},
volume = {26},
year = {2019}
}
@article{Guinard2018,
annote = {Direct use of PANG},
author = {Guinard, St{\'{e}}phane and Bouclier, Robin and Toniolli, Mateus and Passieux, Jean-Charles},
doi = {10.1186/s40323-017-0094-z},
file = {:home/mccoid/.local/share/data/Mendeley Ltd./Mendeley Desktop/Downloaded/Guinard et al. - 2018 - Multiscale analysis of complex aeronautical structures using robust non-intrusive coupling.pdf:pdf},
issn = {2213-7467},
journal = {Advanced Modeling and Simulation in Engineering Sciences},
keywords = {Abaqus v6.14,Co-simulation,Laminated composites,Multiscale computation,Non-conforming geometries,Non-intrusive coupling},
mendeley-groups = {Non-matching Grids/Cites PANG},
month = {dec},
number = {1},
pages = {1},
publisher = {Springer},
title = {{Multiscale analysis of complex aeronautical structures using robust non-intrusive coupling}},
url = {https://amses-journal.springeropen.com/articles/10.1186/s40323-017-0094-z},
volume = {5},
year = {2018}
}

@article{Brezina2017,
annote = {Alternative},
author = {Březina, Jan and Exner, Pavel},
doi = {10.1016/j.camwa.2017.01.028},
file = {:home/mccoid/.local/share/data/Mendeley Ltd./Mendeley Desktop/Downloaded/Březina, Exner - 2017 - Fast algorithms for intersection of non-matching grids using Pl{\"{u}}cker coordinates.pdf:pdf},
issn = {08981221},
journal = {Computers and Mathematics with Applications},
keywords = {Advancing front method,Mesh intersection,Mixed-dimensional mesh,Non-conforming mesh,Non-matching grid,Pl{\"{u}}cker coordinates},
mendeley-groups = {Non-matching Grids,Non-matching Grids/Cites PANG},
title = {{Fast algorithms for intersection of non-matching grids using Pl{\"{u}}cker coordinates}},
year = {2017}
}

@article{Wohlmuth2003,
author = {Wohlmuth, Barbara I. and Krause, Rolf H.},
doi = {10.1137/S1064827502405318},
file = {:home/mccoid/.local/share/data/Mendeley Ltd./Mendeley Desktop/Downloaded/Wohlmuth, Krause - 2003 - Monotone multigrid methods on nonmatching grids for nonlinear multibody contact problems.pdf:pdf},
issn = {10648275},
   journal = {SIAM J Sci Comput},
keywords = {Contact problems,Dual space,Linear elasticity,Monotone methods,Mortar finite elements,Multigrid methods,Nonmatching triangulations},
mendeley-groups = {Non-matching Grids},
month = {sep},
number = {1},
pages = {324--347},
title = {{Monotone multigrid methods on nonmatching grids for nonlinear multibody contact problems}},
volume = {25},
year = {2003}
}

@article{Albella2019,
annote = {Cites PANG},
author = {Albella, J. and {Ben Dhia}, H. and Imperiale, S. and Rodr{\'{i}}guez, J.},
doi = {10.1137/19M1263959},
file = {:home/mccoid/.local/share/data/Mendeley Ltd./Mendeley Desktop/Downloaded/Albella et al. - 2019 - Mathematical and numerical study of transient wave scattering by obstacles with a new class of arlequin coupling.pdf:pdf},
issn = {00361429},
journal = {SIAM Journal on Numerical Analysis},
keywords = {Arlequin method,Domain decomposition,Stability analysis,Wave propagation},
mendeley-groups = {Non-matching Grids,Non-matching Grids/Cites PANG},
month = {oct},
number = {5},
pages = {2436--2468},
publisher = {Society for Industrial and Applied Mathematics Publications},
title = {{Mathematical and numerical study of transient wave scattering by obstacles with a new class of arlequin coupling}},
volume = {57},
year = {2019}
}

@manual{linuxpatch,
title={PATCH(1) Linux User Manual},
author={Wall, L. and Eggert, P. and Davison, W. and MacKenzie, D. and Gr\"unbacher, A.},
year={2009}
}

@article{Cai2002,
  title={Nonlinearly preconditioned inexact {N}ewton algorithms},
  author={Cai, Xiao-Chuan and Keyes, David E},
   journal = {SIAM J Sci Comput},
  volume={24},
  number={1},
  pages={183--200},
  year={2002},
  publisher={SIAM}
}
@article{Dolean2016,
   author = {V Dolean and M J Gander and W Kheriji and F Kwok and R Masson},
   doi = {10.1137/15M102887X},
   issue = {6},
   journal = {SIAM J Sci Comput},
   keywords = {65F10,65N22,nonlinear preconditioning,preconditioning Newton's method AMS subject classifications 65M55,two-level nonlinear Schwarz methods},
   pages = {3357-3380},
   title = {NONLINEAR PRECONDITIONING: HOW TO USE A NONLINEAR {S}CHWARZ METHOD TO PRECONDITION {N}EWTON'S METHOD},
   volume = {38},
   url = {http://www.siam.org/journals/sisc/38-6/M102887.html},
   year = {2016},
}
@incollection{Gander2017,
  title={On the origins of linear and non-linear preconditioning},
  author={Gander, Martin J},
  booktitle={Domain Decomposition Methods in Science and Engineering XXIII},
  pages={153--161},
  year={2017},
  publisher={Springer}
}
@article{liu2015field,
   author = {Lulu Liu and David E Keyes},
   doi = {10.1137/140970379},
   issue = {3},
   journal = {SIAM J Sci Comput},
   keywords = {65H20,65N22,65N55,Navier-Stokes equations AMS subject classifications 65H10,Newton method,field splitting,nonlinear equations,nonlinear preconditioning},
   pages = {A1388-A1409},
   title = {FIELD-SPLIT PRECONDITIONED INEXACT {N}EWTON ALGORITHMS},
   volume = {37},
   url = {http://www.siam.org/journals/sisc/37-3/97037.html},
   year = {2015},
}

@book{gander2014scientific,
  title={Scientific computing-An introduction using Maple and MATLAB},
  author={Gander, Walter and Gander, Martin J and Kwok, Felix},
  volume={11},
  year={2014},
  publisher={Springer Science \& Business}
}